aboutsummaryrefslogtreecommitdiff
path: root/sysutils/sge60/files/pkg-install.in
diff options
context:
space:
mode:
Diffstat (limited to 'sysutils/sge60/files/pkg-install.in')
-rw-r--r--sysutils/sge60/files/pkg-install.in35
1 files changed, 35 insertions, 0 deletions
diff --git a/sysutils/sge60/files/pkg-install.in b/sysutils/sge60/files/pkg-install.in
new file mode 100644
index 000000000000..118e3eecd914
--- /dev/null
+++ b/sysutils/sge60/files/pkg-install.in
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+u=sgeadmin
+g=sgeadmin
+ugid=103
+homedir=/nonexistent
+shell=/sbin/nologin
+comment="Sun Grid Engine Admin"
+
+case $2 in
+POST-INSTALL)
+ if pw group show "${g}" >/dev/null 2>&1; then
+ echo "Using existing group \"${g}\"."
+ else
+ echo "Creating group \"${g}\", (gid: ${ugid})."
+ pw groupadd ${g} -g ${ugid}
+ if [ $? != 0 ]; then
+ echo "Failed to add group \"${g}\"."
+ exit 1
+ fi
+ fi
+ if pw user show "${u}" >/dev/null 2>&1; then
+ echo "Using existing user \"${u}\"."
+ else
+ echo "Creating user \"${u}\", (uid: ${ugid})."
+ pw useradd ${u} -u ${ugid} -g ${ugid} -h - \
+ -d ${homedir} -s ${shell} -c "${comment}"
+ if [ $? != 0 ]; then
+ echo "Failed to add user \"${u}\"."
+ exit 1
+ fi
+ fi
+ chown ${u}:${g} %%PREFIX%%/%%SGE_BASE%%
+ ;;
+esac